BUMPS-WEBVIEW(1)

NAME
bumps-webview - a webview interface for Bumps

DESCRIPTION
usage: bumps-webview [-h] [-x] [--external] [-p PORT] [--hub HUB]

[--fit {dream,scipy.leastsq,amoeba,de,lm,newton}]
    [--start] [--store STORE] [--read_store READ_STORE] [--write_store WRITE_STORE] [--exit] [--serializer {pickle,dill,dataclass}] [--trace] [--parallel PARALLEL] [--path PATH] [--no_auto_history] [--convergence_heartbeat] [--use_persistent_path] [filename]

  positional arguments:

filename
    problem file to load, .py or .json (serialized) fitproblem

  options:

-h, --help
    show this help message and exit

-x, --headless
    do not automatically load client in browser

--external
    listen on all interfaces, including external (local connections only if not set)

-p, --port PORT
    port on which to start the server

--hub HUB
    api address of parent hub (only used when called as subprocess)

--fit {dream,scipy.leastsq,amoeba,de,lm,newton}
    fitting engine to use; see manual for details

--start
    start fit when problem loaded

--store STORE
    set read_store and write_store to same file

--read_store READ_STORE
    read initial session state from file (overrides --store)

--write_store WRITE_STORE
    output file for session state (overrides --store)

--exit
    end process when fit complete (fit results lost unless write_store is specified)

--serializer {pickle,dill,dataclass}
    strategy for serializing problem, will use value from store if it has already been defined

--trace
    enable memory tracing (prints after every uncertainty update in dream)

--parallel PARALLEL
    run fit using multiprocessing for parallelism; use --parallel=0 for all cpus

--path PATH
    set initial path for save and load dialogs

--no_auto_history
    disable auto-appending problem state to history on load and at fit end

--convergence_heartbeat
    enable convergence heartbeat for jupyter kernel (keeps kernel alive during fit)

--use_persistent_path
    save most recently used path to disk for persistence between sessions

SEE ALSO
The full documentation for bumps-webview is maintained as a Texinfo manual. If the info and bumps-webview programs are properly installed at your site, the command

    info bumps

should give you access to the complete manual.